Subject: Re: [PATCH] Documentation: extend guidance for submitting patches

From: Justin Tobler <[email-masked]>
Date: Thu, 5 Mar 2026 15:27:34 -0600

On 26/03/05 12:35PM, Junio C Hamano wrote:
> Justin Tobler <[email-masked]> writes:
> 
> > Before submitting patches on the mailing list, it is often a good idea
> > to check for previous related discussions or if similar work is already
> > in progress. This enables better coordination amongst contributors and
> > could avoid duplicating work.
> >
> > Additionally, it is often recommended to give reviewers some time to
> > reply to a patch series before sending new versions. This helps collect
> > broader feedback and reduces unnecessary churn from rapid rerolls.
> >
> > Document this guidance in "Documentation/SubmittingPatches" accordingly.
> >
> > Signed-off-by: Justin Tobler <[email-masked]>
> > ---
> >  Documentation/SubmittingPatches | 13 +++++++++++++
> >  1 file changed, 13 insertions(+)
> 
> What's written in these two new paragraphs are all agreeable, but is
> the first addition in the right place with correct mark-up?
> 
> This whole section is a sequence of bullet points that shows "a
> typical life cycle of a patch series".  The first bullet point
> starts with "You come up with an itch." and the second one is "You
> send the patches", whose end part is what we see in the pre-context
> of the patch, ending with "help you find out who they are."
> 
> If the new paragraph is meant as yet another paragraph to elaborate
> on that second bullet point, wouldn't we need that "a line with only
> a single '+' on it" before it, instead of a blank line, and the last
> line of the first new paragraph should not be such a "single '+'"
> line but a plain vanilla blank line?

Ah yes apologies. The first addition to start with a line prefixed with
'+' intead of a blank line. I do believe it does already end with a
blank line though. I'll correct in the next version.

Thanks,
-Justin